## vdr-plugin-live 0.1.0+cvs20071228.1851

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.58 2007/12/23 15:31:51 tadi Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = live

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep '\#define LIVEVERSION ' setup.h | awk '{ print $$3 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX	 ?= g++

### tntnet produces some compiler warnings, so we add -Wno-unused-variable -Wno-non-virtual-dtor for nice output ;)
CXXFLAGS ?= -fPIC -O2 -Wall -Woverloaded-virtual -Wno-unused-variable -Wno-non-virtual-dtor
LDFLAGS	 ?= -fPIC -g

ECPPC	 ?= ecppc
CXXFLAGS += `tntnet-config --cxxflags`

LIBS  += $(shell tntnet-config --libs)

### The directory environment:

VDRDIR	 ?= ../../..
LIBDIR	 ?= ../../lib
TMPDIR	 ?= /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
I18NTARG   = $(shell if [ `echo $(APIVERSION) | tr [.] [0]` -ge "10507" ]; then echo "i18n"; fi)
TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g'`; ver=$$(($$ver<100?$$ver*100:($$ver<1000?$$ver*10:$$ver))); if [ $$ver -ge "1606" ]; then echo "yes"; fi)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include
ifneq ($(TNTVERS7),yes)
	INCLUDES += -Ihttpd
	LIBS	 += httpd/libhttpd.a
endif

DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
ifeq ($(TNTVERS7),yes)
	DEFINES += -DTNTVERS7
endif
export DEFINES

SUBDIRS	  = pages css javascript
ifneq ($(TNTVERS7),yes)
	SUBDIRS += httpd
endif

### The object files (add further files here):

PLUGINOBJS = $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
	     tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
	     grab.o md5.o filecache.o livefeatures.o preload.o

WEBLIBS	   = pages/libpages.a css/libcss.a javascript/libjavascript.a

### Default rules:

.PHONY: all dist clean SUBDIRS

all: libvdr-$(PLUGIN).so $(I18NTARG)

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR	  = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo	  = $(wildcard $(PODIR)/*.po)
I18Nmo	  = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
I18Npot	  = $(PODIR)/$(PLUGIN).pot
I18Nvdrmo = vdr-$(PLUGIN).mo
ifeq ($(strip $(APIVERSION)),1.5.7)
  I18Nvdrmo = $(PLUGIN).mo
endif

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): PAGES $(PLUGINOBJS:%.o=%.cpp)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp

$(I18Npo): $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<

i18n: $(I18Nmo)
	@mkdir -p $(LOCALEDIR)
	for i in $(I18Ndirs); do\
	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/$(I18Nvdrmo);\
	    done

generate-i18n: i18n-template.h $(I18Npot) $(I18Npo) buildutil/pot2i18n.pl
	buildutil/pot2i18n.pl $(I18Npot) i18n-template.h > i18n-generated.h

### Targets:

SUBDIRS:
	@for dir in $(SUBDIRS); do \
		make -C $$dir CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" || exit 1; \
	done

PAGES:
	make -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies || exit 1;

libvdr-$(PLUGIN).so: SUBDIRS $(PLUGINOBJS)
	$(CXX) $(LDFLAGS) -shared -o $@	 $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS)
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
ifneq ($(TNTVERS7),yes)
	@echo ""
	@echo "If LIVE was built successfully and you can try to use it!"
	@echo ""
	@echo ""
	@echo ""
	@echo ""
	@echo "IMPORTANT INFORMATION:"
	@echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
	@echo "+ This is one of the *last* CVS versions of LIVE which will   +"
	@echo "+ work with versions of tntnet *less* than 1.6.0.6!           +"
	@echo "+                                                             +"
	@echo "+ This version of LIVE already supports tntnet >= 1.6.0.6.    +"
	@echo "+                                                             +"
	@echo "+ Please upgrade tntnet to at least version 1.6.0.6 soon, if  +"
	@echo "+ you want to keep track of bleeding edge LIVE development.   +"
	@echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
	@echo ""
	@echo ""
	@echo ""
	@echo ""
endif

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(PLUGINOBJS) $(DEPFILE) *.so *.tgz core* *~
	@for dir in $(SUBDIRS); do \
		make -C $$dir clean ; \
	done

.PRECIOUS: $(I18Npo)

=== css/Makefile ===
CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC

CXXFLAGS += `tntnet-config --cxxflags`
LDFLAGS  += `tntnet-config --libs`

INCLUDES += -I..

### The directory environment:
VDRDIR   ?= ../../../..

### The object files (add further files here):

OBJS	= styles.o

### Default rules:

.PHONY: all clean

all: libcss.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

%.cpp: %.css
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b -m "text/css" $<

### Targets:

libcss.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libcss.a $(OBJS:%.o=%.cpp)

=== javascript/Makefile ===
CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC

CXXFLAGS += `tntnet-config --cxxflags`
LDFLAGS  += `tntnet-config --libs`

INCLUDES += -I.. -I$(VDRDIR)/include

### The directory environment:

VDRDIR   ?= ../../../..

### The object files (add further files here):

OBJS	= treeview.o

### Default rules:

.PHONY: all clean

all: libjavascript.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

%.cpp: %.js
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JS) -b -m "text/javascript" $<

### Targets:

libjavascript.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libjavascript.a $(OBJS:%.o=%.cpp)

=== pages/Makefile ===
CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC

CXXFLAGS += `tntnet-config --cxxflags`
LDFLAGS  += `tntnet-config --libs`

INCLUDES += -I.. -I$(VDRDIR)/include

### The directory environment:

VDRDIR   ?= ../../../..

### The object files (add further files here):

OBJS	= menu.o recordings.o schedule.o screenshot.o timers.o		\
          whats_on.o switch_channel.o keypress.o remote.o		\
          channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
          vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
          searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
          pause_recording.o stop_recording.o ffw_recording.o		\
          rwd_recording.o setup.o content.o epginfo.o

### Default rules:

.PHONY: all clean

all: libpages.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

%.cpp: %.ecpp
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp) 
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Targets:

libpages.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libpages.a $(OBJS:%.o=%.cpp) $(DEPFILE)

## vdr-plugin-live 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.58 2007/12/23 15:31:51 tadi Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -19,14 +18,16 @@
 
 CXX	 ?= g++
 
-### tntnet produces some compiler warnings, so we add -Wno-unused-variable -Wno-non-virtual-dtor for nice output ;)
-CXXFLAGS ?= -fPIC -O2 -Wall -Woverloaded-virtual -Wno-unused-variable -Wno-non-virtual-dtor
+### This variable is overriden in pages/Makefile because we don't want the
+### extra warnings in the tntnet generated files. So if you change here
+### something be sure to check pages/Makefile too.
+CXXFLAGS ?= -fPIC -O2 -Wall
 LDFLAGS	 ?= -fPIC -g
 
 ECPPC	 ?= ecppc
 CXXFLAGS += `tntnet-config --cxxflags`
 
-LIBS  += $(shell tntnet-config --libs)
+LIBS	 += $(shell tntnet-config --libs)
 
 ### The directory environment:
 
@@ -42,7 +43,7 @@
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 I18NTARG   = $(shell if [ `echo $(APIVERSION) | tr [.] [0]` -ge "10507" ]; then echo "i18n"; fi)
-TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g'`; ver=$$(($$ver<100?$$ver*100:($$ver<1000?$$ver*10:$$ver))); if [ $$ver -ge "1606" ]; then echo "yes"; fi)
+TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g' | awk '/^..$$/ { print $$1."00"} /^...$$/ { print $$1."0"} /^....$$/ { print $$1 }'`; if [ $$ver -ge "1606" ]; then echo "yes"; fi)
 
 ### The name of the distribution archive:
 
@@ -68,24 +69,27 @@
 	SUBDIRS += httpd
 endif
 
+VERSIONSUFFIX = gen_version_suffix.h
+
 ### The object files (add further files here):
 
 PLUGINOBJS = $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
 	     tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
-	     grab.o md5.o filecache.o livefeatures.o preload.o
+	     grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o
 
 WEBLIBS	   = pages/libpages.a css/libcss.a javascript/libjavascript.a
 
 ### Default rules:
 
-.PHONY: all dist clean SUBDIRS
+all: libvdr-$(PLUGIN).so $(I18NTARG)
 
-all: libvdr-$(PLUGIN).so $(I18NTARG)
+.PHONY: all dist clean subdirs $(SUBDIRS) PAGES
 
 ### Implicit rules:
 
+### all source compiled here shall warn about overloaded virtuals
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -Woverloaded-virtual -c $(DEFINES) $(INCLUDES) $<
 
 # Dependencies:
 
@@ -94,7 +98,9 @@
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@
 
+ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
+endif
 
 ### Internationalization (I18N):
 
@@ -113,7 +119,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): PAGES $(PLUGINOBJS:%.o=%.cpp)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp setup.h
 
 $(I18Npo): $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -130,15 +136,18 @@
 
 ### Targets:
 
-SUBDIRS:
-	@for dir in $(SUBDIRS); do \
-		make -C $$dir CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" || exit 1; \
-	done
+subdirs: $(SUBDIRS)
+
+$(SUBDIRS):
+	$(MAKE) -C $@ CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" $(MAKECMDGOALS)
 
 PAGES:
-	make -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies || exit 1;
+	$(MAKE) -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies
 
-libvdr-$(PLUGIN).so: SUBDIRS $(PLUGINOBJS)
+$(VERSIONSUFFIX): FORCE
+	./buildutil/version-util $(VERSIONSUFFIX) || ./buildutil/version-util -F $(VERSIONSUFFIX)
+
+libvdr-$(PLUGIN).so: $(VERSIONSUFFIX) $(SUBDIRS) $(PLUGINOBJS)
 	$(CXX) $(LDFLAGS) -shared -o $@	 $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS)
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 ifneq ($(TNTVERS7),yes)
@@ -172,11 +181,11 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
-clean:
+clean: $(SUBDIRS)
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(PLUGINOBJS) $(DEPFILE) *.so *.tgz core* *~
-	@for dir in $(SUBDIRS); do \
-		make -C $$dir clean ; \
-	done
+	@-rm -f $(VERSIONSUFFIX)
 
 .PRECIOUS: $(I18Npo)
+
+FORCE:

=== pages/Makefile ===
--- 
+++ 
@@ -1,11 +1,6 @@
 CXX      ?= g++
 AR       ?= ar
 ECPPC    ?= ecppc
-
-CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
-
-CXXFLAGS += `tntnet-config --cxxflags`
-LDFLAGS  += `tntnet-config --libs`
 
 INCLUDES += -I.. -I$(VDRDIR)/include
 
@@ -21,7 +16,7 @@
           vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
           searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
           pause_recording.o stop_recording.o ffw_recording.o		\
-          rwd_recording.o setup.o content.o epginfo.o
+          rwd_recording.o setup.o content.o epginfo.o timerconflicts.o
 
 ### Default rules:
 
@@ -31,8 +26,10 @@
 
 ### Implicit rules:
 
+### tntnet produces some compiler warnings,
+### so we add -Wno-unused-variable -Wno-non-virtual-dtor for nice output ;)
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -Wno-unused-variable -Wno-non-virtual-dtor -c $(DEFINES) $(INCLUDES) $<
 
 %.cpp: %.ecpp
 	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<
@@ -41,10 +38,12 @@
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
-$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp) 
+$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp)
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@
 
+ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
+endif
 
 ### Targets:

=== debian/changelog ===
vdr-plugin-live (0.2.0-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:37 +0100

vdr-plugin-live (0.2.0-16) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:49 +0200

vdr-plugin-live (0.2.0-15) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:35 +0200

vdr-plugin-live (0.2.0-14) unstable; urgency=low

  * Added 04_tntnet-2.0.patch to fix compatibility with Tntnet 2.0
    (Closes: #639079)

 -- Tobias Grimm <etobi@debian.org>  Thu, 25 Aug 2011 22:09:52 +0200

vdr-plugin-live (0.2.0-13) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Updated 01_ipv6.patch to the version provide by Luboš Doležel to support
    IPV4-only systems (Closes: #630627)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:36 +0200

vdr-plugin-live (0.2.0-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:19 +0200

vdr-plugin-live (0.2.0-11) unstable; urgency=low

  * Dropped README.source

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 20:04:30 +0200

vdr-plugin-live (0.2.0-10) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs
  * Renamed get-orig-source target to get-vcs-snpashot

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Apr 2011 22:47:35 +0200

vdr-plugin-live (0.2.0-9) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:40:15 +0200

vdr-plugin-live (0.2.0-8) unstable; urgency=low

  * Added 03_live-0.2.0-fix-INCLUDES.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 14 Mar 2010 20:58:48 +0100

vdr-plugin-live (0.2.0-7) unstable; urgency=low

  [ Tobias Grimm ]
  * Removed non-standard shebang line from debian/rules (Closes: #552645)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:41:38 +0100

vdr-plugin-live (0.2.0-6) unstable; urgency=low

  [ Timo Weingärtner ]
  * Added 02_timers_colon to prevent cutting off timer titles after first
    colon (Closes: #538605).

  [ Thomas Schmidt ]
  * Bumped Standards-Version to 3.8.3

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 25 Oct 2009 19:36:14 +0100

vdr-plugin-live (0.2.0-5) unstable; urgency=low

  [ Thomas Günther ]
  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

  [ Tobias Grimm ]
  * Added comment about --epgimages option to plugin.live.conf

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:56 +0200

vdr-plugin-live (0.2.0-4) unstable; urgency=low

  * Added 01_ipv6 to allow usage of IPV6 addresses (Closes: #496936)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 30 Aug 2008 21:28:37 +0200

vdr-plugin-live (0.2.0-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:48:12 +0200

vdr-plugin-live (0.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:27:07 +0200

vdr-plugin-live (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 17:50:12 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-3) unstable; urgency=low

  * Release for vdrdevel 1.7.0

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 17 Apr 2008 02:45:17 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-2) unstable; urgency=medium

  * Unexport CXXFLAGS and LDFLAGS in debian/rules - this should fix the
    FTBFS on amd64, caused by the new dpkg, which is exporting these
    variables by default now (closes: #475710)
  * Set urgency to medium, to get the fix to testing faster

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 15 Apr 2008 20:58:59 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-1) unstable; urgency=low

  * New Upstream Snapshot, because it is not possible to upload the missing
    tarball for the last snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 10 Apr 2008 00:00:55 +0200

vdr-plugin-live (0.1.0+cvs20080406.1304-2) unstable; urgency=low

  * Rebuild, include upstream tarball again, which somehow did not reach the
    mirrors (closes: #475214)

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 10 Apr 2008 00:01:16 +0200 

vdr-plugin-live (0.1.0+cvs20080406.1304-1~lenny1) unstable; urgency=low

  * Upload to unstable
  * Lowered Build-Depends on vdr-dev to >=1.4.7-3
  * Do not try to install locales

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 06 Apr 2008 22:23:19 +0200

vdr-plugin-live (0.1.0+cvs20080406.1304-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 06 Apr 2008 15:04:49 +0200

vdr-plugin-live (0.1.0+cvs20080323.1527-1) experimental; urgency=low

  * New Upstream Snapshot
  * Build-depend on libtntnet-dev (1.6.0.1-1.1),
    libcxxtools-dev (>= 1.4.3.6-1.1) (Closes: #454836)
  * Updated debian/copyright
  * Build-Depend on vdr-dev (>=1.6.0)
  * Updated denbian/rules

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 00:32:54 +0200

vdr-plugin-live (0.1.0+cvs20071228.1851-4) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:13 +0100

vdr-plugin-live (0.1.0+cvs20071228.1851-3) unstable; urgency=low

  [ Thomas Günther ]
  * Release for vdrdevel 1.5.13
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Added full license disclaimer and copyright years to debian/copyright


=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22),
 libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
 libssl-dev, libboost-dev, gettext
Standards-Version: 3.9.2
Homepage: http://live.vdr-developer.org
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

Package: vdr-plugin-live
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that 
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.

## vdr-plugin-live 0.2.0%2Bgit20130305

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22),
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
- libssl-dev, libboost-dev, gettext
-Standards-Version: 3.9.2
+ libssl-dev, libboost-dev, gettext, libpcre3-dev
+Standards-Version: 3.9.3
 Homepage: http://live.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## vdr-plugin-live 0.2.0+git20120114

=== debian/changelog ===
vdr-plugin-live (0.2.0+git20120114-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:21 +0100

vdr-plugin-live (0.2.0+git20120114-1) unstable; urgency=low

  * New Upstream Snapshot (commit d2a85a6) (Closes: #654879)
  * Dropped 02_timers_colon patch - fixed upstream
  * Dropped 04_tntnet-2.0.patch - fixed upstream
  * Dropped 01_ipv6.patch - fixed upstream
  * Dropped 03_live-0.2.0-fix-INCLUDES.patch - fixed upstream
  * Build-depend on libpcre3-dev
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Jan 2012 10:22:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config,
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23),
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, libboost-dev, gettext, libpcre3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://live.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

## vdr-plugin-live 0.2.0+git20120428

=== debian/changelog ===
vdr-plugin-live (0.2.0+git20120428-3) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:28:24 +0200

vdr-plugin-live (0.2.0+git20120428-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Jun 2012 21:19:34 +0200

vdr-plugin-live (0.2.0+git20120428-1) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)
  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Apr 2012 07:21:16 +0200

vdr-plugin-live (0.2.0+git20120114-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23),
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28),
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, libboost-dev, gettext, libpcre3-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

## vdr-plugin-live 0.2.0+git20130305

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 ### The C++ compiler and options:
 
 CXX	 ?= g++
+ECPPC	 ?= ecppc
 
 ### This variable is overriden in pages/Makefile because we don't want the
 ### extra warnings in the tntnet generated files. So if you change here
@@ -24,10 +25,8 @@
 CXXFLAGS ?= -fPIC -O2 -Wall
 LDFLAGS	 ?= -fPIC -g
 
-ECPPC	 ?= ecppc
-CXXFLAGS += `tntnet-config --cxxflags`
-
-LIBS	 += $(shell tntnet-config --libs)
+### Check for libpcre c++ wrapper
+HAVE_LIBPCRECPP = $(shell pcre-config --libs-cpp)
 
 ### The directory environment:
 
@@ -35,6 +34,10 @@
 LIBDIR	 ?= ../../lib
 TMPDIR	 ?= /tmp
 
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
@@ -43,7 +46,19 @@
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 I18NTARG   = $(shell if [ `echo $(APIVERSION) | tr [.] [0]` -ge "10507" ]; then echo "i18n"; fi)
-TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g' | awk '/^..$$/ { print $$1."00"} /^...$$/ { print $$1."0"} /^....$$/ { print $$1 }'`; if [ $$ver -ge "1606" ]; then echo "yes"; fi)
+TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+TNTVERS7   = $(shell ver=$(TNTVERSION); if [ $$ver -ge "1606" ]; then echo "yes"; fi)
+
+CXXFLAGS  += $(shell tntnet-config --cxxflags)
+LIBS      += $(shell tntnet-config --libs)
+
+### Optional configuration features
+PLUGINFEATURES =
+ifneq ($(HAVE_LIBPCRECPP),)
+	PLUGINFEATURES += -DHAVE_LIBPCRECPP
+	CXXFLAGS       += $(shell pcre-config --cflags)
+	LIBS           += $(HAVE_LIBPCRECPP)
+endif
 
 ### The name of the distribution archive:
 
@@ -58,11 +73,7 @@
 	LIBS	 += httpd/libhttpd.a
 endif
 
-DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
-ifeq ($(TNTVERS7),yes)
-	DEFINES += -DTNTVERS7
-endif
-export DEFINES
+DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)
 
 SUBDIRS	  = pages css javascript
 ifneq ($(TNTVERS7),yes)
@@ -75,7 +86,8 @@
 
 PLUGINOBJS = $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
 	     tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
-	     grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o
+	     grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
+	     users.o
 
 WEBLIBS	   = pages/libpages.a css/libcss.a javascript/libjavascript.a
 
@@ -87,16 +99,15 @@
 
 ### Implicit rules:
 
-### all source compiled here shall warn about overloaded virtuals
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -Woverloaded-virtual -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<
 
 # Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@
+	@$(MAKEDEP) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@
 
 ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
@@ -119,7 +130,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): PAGES $(PLUGINOBJS:%.o=%.cpp)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp setup.h
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp setup.h epg_events.h
 
 $(I18Npo): $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -139,10 +150,10 @@
 subdirs: $(SUBDIRS)
 
 $(SUBDIRS):
-	$(MAKE) -C $@ CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" $(MAKECMDGOALS)
+	@$(MAKE) -C $@ $(MAKECMDGOALS) PLUGINFEATURES="$(PLUGINFEATURES)"
 
 PAGES:
-	$(MAKE) -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies
+	@$(MAKE) -C pages PLUGINFEATURES="$(PLUGINFEATURES)" .dependencies
 
 $(VERSIONSUFFIX): FORCE
 	./buildutil/version-util $(VERSIONSUFFIX) || ./buildutil/version-util -F $(VERSIONSUFFIX)
@@ -150,6 +161,7 @@
 libvdr-$(PLUGIN).so: $(VERSIONSUFFIX) $(SUBDIRS) $(PLUGINOBJS)
 	$(CXX) $(LDFLAGS) -shared -o $@	 $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS)
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
+
 ifneq ($(TNTVERS7),yes)
 	@echo ""
 	@echo "If LIVE was built successfully and you can try to use it!"

=== css/Makefile ===
# The official name of this plugin.

PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-function
TNTVERSION ?= $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')

### The C++ compiler and options:

CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
DEFINES  ?= -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)

### The directory environment:

VDRDIR   ?= ../../../..

### Make sure that necessary options are included:

-include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):

OBJS	= styles.o

### Default rules:

.PHONY: all clean

all: libcss.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.css
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b -m "text/css" $<

### Targets:

libcss.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libcss.a $(OBJS:%.o=%.cpp)

=== httpd/Makefile ===
CXX      ?= g++
AR       ?= ar

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC

CXXFLAGS += `tntnet-config --cxxflags`

### Includes and Defines (add further entries here):

INCLUDES += -I.

### The object files (add further files here):

OBJS = dispatcher.o  job.o       regex.o   worker.o \
       listener.o    poller.o    tntnet.o

### Default rules:

.PHONY: all clean

all: libhttpd.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Targets:

libhttpd.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *.o core* libhttpd.a proctest $(DEPFILE)

=== javascript/Makefile ===
# The official name of this plugin.

PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-function
TNTVERSION ?= $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')

### The C++ compiler and options:

CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
DEFINES  ?= -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)

### The directory environment:

VDRDIR   ?= ../../../..

### Make sure that necessary options are included:

-include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):

OBJS	= treeview.o

### Default rules:

.PHONY: all clean

all: libjavascript.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.js
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JS) -b -m "text/javascript" $<

### Targets:

libjavascript.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libjavascript.a $(OBJS:%.o=%.cpp)

=== pages/Makefile ===
# The official name of this plugin.

PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-variable
TNTVERSION ?= $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')

### The C++ compiler and options:

CXX      ?= g++
AR       ?= ar
ECPPC    ?= ecppc

CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
DEFINES  ?= -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)

### The directory environment:

VDRDIR   ?= ../../../..

### Make sure that necessary options are included:

-include $(VDRDIR)/Make.global

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):

OBJS	= menu.o recordings.o schedule.o multischedule.o screenshot.o   \
          timers.o whats_on.o switch_channel.o keypress.o remote.o	\
          channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
          vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
          searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
          pause_recording.o stop_recording.o ffw_recording.o		\
          rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
          recstream.o users.o edit_user.o edit_recording.o

### Default rules:

.PHONY: all clean

all: libpages.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.ecpp
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp)
	@$(MAKEDEP) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

ifneq ($(MAKECMDGOALS),clean)
-include $(DEPFILE)
endif

### Targets:

libpages.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libpages.a $(OBJS:%.o=%.cpp) $(DEPFILE)

=== debian/changelog ===
vdr-plugin-live (0.2.0+git20130305-6.1build1) trusty; urgency=medium

  * Rebuild against libtntnet12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Apr 2014 11:22:20 +0100

vdr-plugin-live (0.2.0+git20130305-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply two patches from upstream to fix FTBFS against new tntnet &
    cxxtools. (Closes: #713568)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 20 Aug 2013 00:00:32 +0100

vdr-plugin-live (0.2.0+git20130305-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:10 +0200

vdr-plugin-live (0.2.0+git20130305-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:15 +0100

vdr-plugin-live (0.2.0+git20130305-4) unstable; urgency=low

  * Load themes from resource directory

 -- Tobias Grimm <etobi@debian.org>  Wed, 20 Mar 2013 23:54:38 +0100

vdr-plugin-live (0.2.0+git20130305-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:49:57 +0100

vdr-plugin-live (0.2.0+git20130305-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:14:58 +0100

vdr-plugin-live (0.2.0+git20130305-1) unstable; urgency=low

  * New Upstream Snapshot (commit 545739f)
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 23:10:55 +0100

## vdr-plugin-live 0.3.0%2bgit20141029

=== httpd/Makefile ===
--- 
+++ 
@@ -40,4 +40,7 @@
 	$(AR) r $@ $^
 
 clean:
-	@rm -f *.o core* libhttpd.a proctest $(DEPFILE)
+	@rm -f *~ *.o core* libhttpd.a proctest $(DEPFILE)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."

## vdr-plugin-live 0.3.0+git20141029

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,7 @@
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 I18NTARG   = $(shell if [ `echo $(APIVERSION) | tr [.] [0]` -ge "10507" ]; then echo "i18n"; fi)
 TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 TNTVERS7   = $(shell ver=$(TNTVERSION); if [ $$ver -ge "1606" ]; then echo "yes"; fi)
 
 CXXFLAGS  += $(shell tntnet-config --cxxflags)
@@ -73,7 +74,7 @@
 	LIBS	 += httpd/libhttpd.a
 endif
 
-DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)
+DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
 
 SUBDIRS	  = pages css javascript
 ifneq ($(TNTVERS7),yes)
@@ -164,7 +165,7 @@
 
 ifneq ($(TNTVERS7),yes)
 	@echo ""
-	@echo "If LIVE was built successfully and you can try to use it!"
+	@echo "LIVE was built successfully and you can try to use it!"
 	@echo ""
 	@echo ""
 	@echo ""
@@ -189,9 +190,9 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
+	@tar czf $(TMPDIR)/$(PACKAGE).tar.gz -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
-	@echo Distribution package created as $(PACKAGE).tgz
+	@echo Distribution package created as $(TMPDIR)/$(PACKAGE).tar.gz
 
 clean: $(SUBDIRS)
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot

=== css/Makefile ===
--- 
+++ 
@@ -56,3 +56,6 @@
 
 clean:
 	@rm -f *~ *.o core* libcss.a $(OBJS:%.o=%.cpp)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."

=== javascript/Makefile ===
--- 
+++ 
@@ -56,3 +56,6 @@
 
 clean:
 	@rm -f *~ *.o core* libjavascript.a $(OBJS:%.o=%.cpp)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."

=== pages/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 ### Additional options to silence TNTNET warnings
 TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-variable
 TNTVERSION ?= $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXTOOLVER ?= $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 
 ### The C++ compiler and options:
 
@@ -13,7 +14,7 @@
 ECPPC    ?= ecppc
 
 CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
-DEFINES  ?= -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION)
+DEFINES  ?= -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
 
 ### The directory environment:
 
@@ -74,3 +75,6 @@
 
 clean:
 	@rm -f *~ *.o core* libpages.a $(OBJS:%.o=%.cpp) $(DEPFILE)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."

=== debian/changelog ===
vdr-plugin-live (0.3.0+git20141029-1build1) wily; urgency=medium

  * No-change rebuild against libpcrecpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 23:37:35 +0000

vdr-plugin-live (0.3.0+git20141029-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 69f84f9) (Closes: #696128)

 -- Tobias Grimm <etobi@debian.org>  Wed, 29 Oct 2014 22:53:35 +0100

vdr-plugin-live (0.2.0+git20130305-7) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 13:40:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vdr-plugin-live
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28),
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.6), pkg-config,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, libboost-dev, gettext, libpcre3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://live.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git
